#!/bin/bash
if [ "$1" = "" ]; then
  echo -en "Usage: gif2lss <file.gif>\n"
  exit 1
fi

if [ "`echo $1 | grep '.gif$'`" = "" ]; then
  echo -en "Usage: gif2lss <file.gif>\n"
  echo -en "The file name you have provided ( $1) doesn't end with .gif .\n"
  exit 1
fi

#MOGRIFY_OUTPUT=`echo $1 | sed -e 's/gif$/mgk/g'`
PPM_FILE=`echo $1 | sed -e 's/gif$/ppm/g'`
LSS_FILE=`echo $1 | sed -e 's/gif$/lss/g'`
rm -f $MOGRIFY_OUTPUT
rm -f $PPM_FILE

#mogrify -colors 16 $1

#echo -en "Expected output of 'mogrify' is: $MOGRIFY_OUTPUT\n"
#if ! [ -e $MOGRIFY_OUTPUT ]; then
#  echo -en "ERROR: Mogrify failed for some reason. Quit.\n"
#  exit 1
#fi

#./giftoppm $MOGRIFY_OUTPUT > $PPM_FILE
./giftoppm $1 >$PPM_FILE

echo -en "Expected output of 'giftoppm' is: $PPM_FILE\n"
if ! [ -e $PPM_FILE ]; then
  echo -en "ERROR: giftoppm failed for some reason. Quit.\n"
  exit 1
fi

./ppmtolss16 '#c0cfc0=7' <$PPM_FILE >$LSS_FILE
#./ppmtolss16 <$PPM_FILE >$LSS_FILE

echo -en "Expected output of 'ppmtolss16' is: $LSS_FILE\n"
if ! [ -e $LSS_FILE ]; then
  echo -en "ERROR: ppmtolss16 failed for some reason. Quit.\n"
  exit 1
fi
